import 'package:kursach/data/repositories/api_interface.dart';
import 'package:kursach/domain/models/card_data.dart';
import 'package:kursach/domain/models/home_data.dart';

class MockRepository extends ApiInterface {
  @override
  Future<HomeData?> loadData({OnErrorCallback? onError}) async {
    return HomeData(data: [
      const CardData(
          id: '0',
          name: "test 0",
          year_streams: 12421412,
          image: "http://localhost:8080/images/ye.png"),
      const CardData(
          id: "1",
          name: "test 1",
          year_streams: 124212,
          image: "http://localhost:8080/images/rocky.png")
    ]);
  }
}
